Quassel IRC - Bug #1505

Client configuration is world readable and contains password in plain text
12/11/2018 05:06 PM - kitterma

Status: Resolved Start date: 12/11/2018
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Version: 0.13.0 0S: Any
Description

https://bugs.debian.org/cgi-bin/bugreport.cqgi?bug=806500

As | was trying to setup CertFP | had a look at
~/.config/quassel-irc.org and noticed the following:
rw—r—r 1 diederik diederik 8101 nov 28 03:01 quasselclient.conf

Looking into that file | could easily see my password and that combined
with the security settings of that file did not make me happy.

History

#1 - 06/16/2021 07:32 AM - phuzion
- Status changed from New to Resolved
Hi there.

| have just tested this on both Fedora 34, built from the latest source code on Github, and on Debian 10 using the packaged Quassel Client, and both
are placing ~/.config/quassel-irc.org/quasselclient.conf with permissions of 0600.

I believe that it is safe to close this bug. Thanks for the report.
